PARTX(8)

BEZEICHNUNG
partx - Teilt dem Linux-Kernel die Verfügbarkeit und Nummerierung der Partitionen auf Platten mit

ÜBERSICHT

partx [-a|-d|-P|-r|-s|-u] [-t Typ] [-n M:_N_] [-] Platte

partx [-a|-d|-P|-r|-s|-u] [-t Typ] Partition [Platte]

BESCHREIBUNG

Nach Angabe eines Gerätes oder Festplattenabbildern versucht partx die Partitionstabelle einzulesen und deren Inhalt anzuzeigen. Optional kann es Partitionen hinzufügen oder entfernen.

Das Argument Platte ist optional, wenn eine Partition angegeben wird. Um eine Partition so einzulesen, als ob sie eine ganze Festplatte wäre (um beispielsweise eingebettete Unterpartitionen anzeigen zu lassen), verwenden Sie »-« als Argument. Beispiel:

    partx --show - /dev/sda3

Dadurch wird sda3 als Gesamtlaufwerk und nicht als Partition betrachtet.

Dies ist kein fdisk-Programm! Das Hinzufügen und Entfernen von Partitionen ändert nichts am Laufwerk, es wird lediglich dem Kernel die Präsenz und Nummerierung der Partitionen auf dem Laufwerk mitgeteilt.

OPTIONEN

-a, --add
    fügt die angegebenen Partitionen hinzu oder ermittelt den Inhalt des Laufwerks und fügt alle Partitionen hinzu.

-b, --bytes
    gibt die Größen in Byte anstelle eines menschenlesbaren Formats aus.

    Standardmäßig werden die Größen in Byte ausgedrückt und die Präfixe sind Potenzen der Form 2^10 (1024). Die Abkürzungen der Symbole werden zur besseren Lesbarkeit abgeschnitten, indem jeweils nur der erste Buchstabe dargestellt wird. Beispiele: »1 KiB« und »1 MiB« werden als »1 K« bzw. »1 M« dargestellt. Die Erwähnung des »iB«-Anteils, der Teil der Abkürzung ist, entfällt absichtlich.

-d, --delete
    löscht die angegebenen oder alle Partitionen. Es verursacht keinen Fehler, nicht existierende Partitionen zu löschen, daher können Sie diese Option zusammen mit großen --nr-Bereichen verwenden, ohne auf die aktuell auf dem Gerät angelegten Partitionen achten zu müssen.

-g, --noheadings
    gibt mit --show oder --raw keine Kopfzeile aus.

-l, --list
    listet die Partitionen auf. Beachten Sie, dass sich alle Zahlenangaben auf die Anzahl der 512 Bytes großen Sektoren beziehen. Bitte verwenden Sie dieses Listenformat nicht in neuen Skripten, da das Ausgabeformat von --show in jedem Falle vorzuziehen ist.

-n, --nr M:N
    gibt den Bereich der Partitionen an. Aus Gründen der Abwärtskompatibilität wird auch das Format M-N unterstützt. Der Bereich darf negative Zahlen enthalten, beispielsweise meint --nr -1:-1 die letzte Partition, und --nr -2:-1 meint die beiden letzten Partitionen. Folgende Bereichsangaben werden unterstützt:

    M
        gibt genau eine Partition an (z.B. --nr 3).

    M:
        gibt nur die untere Grenze an (z.B. --nr 2:).

    :N
        gibt nur die obere Grenze an (z.B. --nr 4).

    M:N
        gibt die untere und obere Grenze an (z.B. --nr 2:4).

-o, --output Liste
    gibt die für die Ausgabe von --show, --pairs und --raw zu verwendenden Spalten an. Falls keine Ausgabeanordnung angegeben ist, wird die Vorgabe verwendet. Mit --help erhalten Sie eine Liste aller unterstützten Spalten. Diese Option kann nicht mit --add, --delete, --update oder --list kombiniert werden.

--output-all
    gibt alle verfügbaren Spalten aus.

-P, --pairs
    veranlasst die Ausgabe der Partitionen im Format Schlüssel="Wert".

-r, --raw
    verwendet das Rohformat für die Ausgabe der Partitionen.

-s, --show
    listet die Partitionen auf. Die Ausgabespalten und deren Anordnung kann mit der Option --output beeinflusst werden. Alle Zahlenangaben (außer GRÖSSE) beziehen sich auf 512-Byte-Sektoren.

-t, --type Typ
    gibt den Partitionstabellentyp an.

--list-types
    listet unterstützte Partitionstypen auf und beendet das Programm.

-u, --update
    aktualisiert die angegebenen Partitionen.

-S, --sector-size Größe
    überschreibt die Standard-Sektorgröße.

-v, --verbose
    aktiviert den ausführlichen Modus.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    Display version and exit.

UMGEBUNGSVARIABLEN

LIBBLKID_DEBUG=all
    aktiviert die Debug-Ausgabe für libblkid.

BEISPIEL

partx --show /dev/sdb3, partx --show --nr 3 /dev/sdb, partx --show /dev/sdb3 /dev/sdb
    Alle drei Befehle listen Partition 3 auf /dev/sdb auf.

partx --show - /dev/sdb3
    listet alle Unterpartitionen auf /dev/sdb3 auf (wobei das Gerät als Gesamtlaufwerk betrachtet wird).

partx -o START -g --nr 5 /dev/sdb
    gibt den Anfangssektor auf Partition 5 auf /dev/sda ohne Kopfzeile aus.

partx -o SEKTOREN,GRÖSSE /dev/sda5 /dev/sda
    listet die Länge der Partition 5 auf /dev/sda in Sektoren in einem menschenlesbaren Format auf.

partx --add --nr 3:5 /dev/sdd
    fügt alle verfügbaren Partitionen von 3 bis einschließlich 5 auf /dev/sdd hinzu.

partx -d --nr -1: /dev/sdd
    Entfernt die letzte Partition auf /dev/sdd.

AUTOREN

Die Originalversion wurde von geschrieben.

SIEHE AUCH

addpart(8), delpart(8), fdisk(8), parted(8), partprobe(8)

FEHLER MELDEN

For bug reports, use the

VERFÜGBARKEIT

Der Befehl partx ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.